Apache log4cxx Version @version@

Classes | Namespaces | Macros
loglog.h File Reference

## Classes
class | LogLog
| This class used to output log statements from within the log4cxx package. More...

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros
#define | LOGLOG_DEBUG(log)
#define | LOGLOG_WARN(log)
#define | LOGLOG_ERROR(log)

## Macro Definition Documentation

## ◆ LOGLOG_DEBUG

#define LOGLOG_DEBUG | ( |  | log | ) |

Value:
{ \
log4cxx::helpers::LogLog::debug(log) ; }
log4cxx::helpers::LogLog::debug
static void debug(const LogString &msg)
This method is used to output log4cxx internal debug statements.

## ◆ LOGLOG_ERROR

#define LOGLOG_ERROR | ( |  | log | ) |

Value:
{ \
log4cxx::helpers::LogLog::warn(log); }
log4cxx::helpers::LogLog::warn
static void warn(const LogString &msg)
This method is used to output log4cxx internal warning statements.

## ◆ LOGLOG_WARN

#define LOGLOG_WARN | ( |  | log | ) |

Value:
{ \
log4cxx::helpers::LogLog::warn(log) ; }